{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IDIPL_NUMERO; 
            externalType = NUMBER; 
            name = idiplNumero; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IDIPL_OLDNUMERO; 
            externalType = NUMBER; 
            name = idiplOldnumero; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IMRUE_ABSENCE1; 
            externalType = NUMBER; 
            name = imrueAbsence1; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IMRUE_ABSENCE2; 
            externalType = NUMBER; 
            name = imrueAbsence2; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IMRUE_COEFFICIENT; 
            externalType = NUMBER; 
            name = imrueCoefficient; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = IMRUE_DISPENSE; 
            externalType = NUMBER; 
            name = imrueDispense; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IMRUE_ETAT; 
            externalType = NUMBER; 
            name = imrueEtat; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IMRUE_MENTION1; 
            externalType = NUMBER; 
            name = imrueMention1; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IMRUE_MENTION2; 
            externalType = NUMBER; 
            name = imrueMention2; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IMRUE_NOTE_BASE; 
            externalType = NUMBER; 
            name = imrueNoteBase; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IMRUE_OBTENTION; 
            externalType = VARCHAR2; 
            name = imrueObtention; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            definition = "to_char('+')"; 
            externalType = VARCHAR2; 
            name = imrueParcours; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = IMRUE_POINT_JURY; 
            externalType = NUMBER; 
            name = imruePointJury; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            definition = "DECODE(imrueEtat,2,imruePoints2,DECODE(imrueEtat,1,imruePoints1,DECODE(imruePoints2,'',imruePoints1,imruePoints2)))"; 
            externalType = NUMBER; 
            name = imruePoints; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IMRUE_POINTS1; 
            externalType = NUMBER; 
            name = imruePoints1; 
            precision = 4; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IMRUE_POINTS2; 
            externalType = NUMBER; 
            name = imruePoints2; 
            precision = 4; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IMRUE_PONDERATION; 
            externalType = NUMBER; 
            name = imruePonderation; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = IMRUE_SEMESTRE; 
            externalType = NUMBER; 
            name = imrueSemestre; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "DECODE(imrueEtat,2,imrueSession2,DECODE(imrueEtat,1,imrueSession1,DECODE(imrueSession2,'',imrueSession1,imrueSession2)))"; 
            externalType = NUMBER; 
            name = imrueSession; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IMRUE_SESSION1; 
            externalType = NUMBER; 
            name = imrueSession1; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IMRUE_SESSION2; 
            externalType = NUMBER; 
            name = imrueSession2; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = MRUE_KEY; 
            externalType = NUMBER; 
            name = mrueKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MSEM_ORDRE; 
            externalType = NUMBER; 
            name = msemOrdre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (idiplNumero, fspnKey, msemOrdre, mrueKey); 
    className = EOGenericRecord; 
    classProperties = (
        idiplNumero, 
        fspnKey, 
        msemOrdre, 
        idiplOldnumero, 
        mrueKey, 
        imrueSemestre, 
        imrueDispense, 
        imrueEtat, 
        imruePoints1, 
        imrueAbsence1, 
        imrueMention1, 
        imrueSession1, 
        imruePoints2, 
        imrueAbsence2, 
        imrueMention2, 
        imrueSession2, 
        imrueCoefficient, 
        imrueNoteBase, 
        imruePonderation, 
        imruePointJury, 
        imrueObtention, 
        fannKey, 
        toScolFormationAnnee, 
        imruePoints, 
        imrueSession, 
        imrueParcours, 
        toScolInscriptionEtudiant, 
        toScolMaquetteRepartitionUe
    ); 
    externalName = SCOL_INSCRIPTION_UE_CONSERVE; 
    fetchSpecificationDictionary = {}; 
    name = ScolInscriptionUeConserve; 
    primaryKeyAttributes = (idiplNumero, fspnKey, msemOrdre, mrueKey); 
    relationships = (
        {
            destination = ScolFormationAnnee; 
            internalInfo = {_nameInObjectStore = scolFormationAnnee; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolInscriptionEtudiant; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = fannKey; sourceAttribute = fannKey; }, 
                {destinationAttribute = idiplNumero; sourceAttribute = idiplNumero; }
            ); 
            name = toScolInscriptionEtudiant; 
        }, 
        {
            destination = ScolMaquetteRepartitionUe; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mrueKey; sourceAttribute = mrueKey; }); 
            name = toScolMaquetteRepartitionUe; 
        }
    ); 
}
